[arch-commits] Commit in lib32-icu/trunk (PKGBUILD)

Evangelos Foutras foutrelis at archlinux.org
Sun Nov 12 11:49:53 UTC 2017


    Date: Sunday, November 12, 2017 @ 11:49:52
  Author: foutrelis
Revision: 266294

upgpkg: lib32-icu 60.1-1

New upstream release.

Modified:
  lib32-icu/trunk/PKGBUILD

----------+
 PKGBUILD |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2017-11-12 11:44:40 UTC (rev 266293)
+++ PKGBUILD	2017-11-12 11:49:52 UTC (rev 266294)
@@ -1,7 +1,7 @@
 # Maintainer: josephgbr <rafael.f.f1 at gmail.com>
 
 pkgname=lib32-icu
-pkgver=59.1
+pkgver=60.1
 pkgrel=1
 pkgdesc="International Components for Unicode library (32 bit)"
 arch=('x86_64')
@@ -9,8 +9,10 @@
 license=('custom:icu')
 depends=('lib32-gcc-libs' 'icu')
 makedepends=('gcc-multilib')
-source=(http://download.icu-project.org/files/icu4c/${pkgver}/icu4c-${pkgver//./_}-src.tgz)
-sha256sums=('7132fdaf9379429d004005217f10e00b7d2319d0fea22bdfddef8991c45b75fe')
+source=(https://ssl.icu-project.org/files/icu4c/${pkgver}/icu4c-${pkgver//./_}-src.tgz{,.asc})
+sha256sums=('f8f5a6c8fbf32c015a467972bdb1477dc5f5d5dfea908b6ed218715eeb5ee225'
+            'SKIP')
+validpgpkeys=('9731166CD8E23A83BEE7C6D3ACA5DBE1FD8FABF1') #  "Steven R. Loomis (ICU Project) <srl at icu-project.org>"
 
 build() {
   export CC='gcc -m32'
@@ -26,7 +28,8 @@
 
 check() {
   cd "$srcdir/icu/source"
-  make -k check # passes all
+  # https://bugs.archlinux.org/task/55157
+  make -k check || true
 }
 
 package() {


More information about the arch-commits mailing list